<?php
/**
 * Created by PhpStorm.
 * User: root
 * Date: 06/12/2019
 * Time: 09:09
 */

namespace LitCustomerPassword\Models;
use Enlight_Components_Db_Adapter_Pdo_Mysql;
use Shopware\Components\Model\ModelEntity;

class User extends ModelEntity
{
    /**
     * Database connection which used for each database operation in this class.
     * Injected over the class constructor
     *
     * @var Enlight_Components_Db_Adapter_Pdo_Mysql
     */
    private $db;
    public function __construct(
        Enlight_Components_Db_Adapter_Pdo_Mysql $db = null
    ) {
        $this->db = $db ?: Shopware()->Db();
    }
    public function getUserByEmail($email){

        $result = $this->db->fetchRow(
            "SELECT * FROM s_user WHERE email = ? AND accountmode != 1",
            [$email]
        );
        return $result ? $result : null;
    }
    public function updatePassword($user_id, $new_pass){

    }
    public function getAllCartType(){
        $path = dirname(__FILE__) . DIRECTORY_SEPARATOR  . 'Type';
        $all_cart_file = glob($path.'/*');
        return $all_cart_file;
    }
}